Commit b811e1fd authored by BOHMRR's avatar BOHMRR
Browse files

try exit code 123 idea for non-BE failures

parent 7a00f686
Loading
Loading
Loading
Loading
Loading
+9 −2
Original line number Diff line number Diff line
@@ -102,6 +102,10 @@ self-test-on-merge-request:
  stage: compare
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
    - if: $CI_MERGE_REQUEST_TITLE =~ /.*[non[ -]BE\]/
      allow_failures:
        exit_codes:
          - 123
  script:
    ### build test binaries, initial clean for paranoia reasons
    - make clean
@@ -147,10 +151,13 @@ self-test-on-merge-request:
    # check for crashes during the test, if any happened, fail the test
    - if cat test_output.txt | grep -c "Run errors were encountered for the following conditions:"; then echo "Codec had run errors"; exit 1; fi
    # check for non bitexact output and fail test if the merge request does not have a non-BE tag
    - if ! cat test_output.txt | grep -c "All [0-9]* tests are bitexact" && ! echo $CI_MERGE_REQUEST_TITLE | grep -c --ignore-case "\[non[ -]*be\]"; then echo "Non-bitexact cases without non-BE tag encountered"; exit 1; fi
    - if ! cat test_output.txt | grep -c "All [0-9]* tests are bitexact"; then echo "Non-bitexact cases encountered"; exit 123; fi

    ### run SBA pytest
    - python3 ./scripts/ivas_pytests/self_test_b.py --encref IVAS_cod_ref --decref IVAS_dec_ref --encdut IVAS_cod_test --decdut IVAS_dec_test
    - exit_code=0
    - python3 ./scripts/ivas_pytests/self_test_b.py --encref IVAS_cod_ref --decref IVAS_dec_ref --encdut IVAS_cod_test --decdut IVAS_dec_test || exit_code=$?
    - if [ $exit_code -eq 1 ]; then echo "pytest run had failures"; exit 123; fi
    - if [ $exit_code -ne 0 ]; then echo "pytest run had errors"; exit $exit_code; fi;
  artifacts:
    paths:
      - test_output.txt